Subject: [domainrep] Possible erratum in RFC 7071: "integer" in JSON

From: Ulysse Carion <[email-masked]>
Date: Mon, 12 Aug 2019 16:54:38 -0700

Hi all,

Section 6.2.1 of RFC 7071
(https://tools.ietf.org/html/rfc7071#section-6.2.1) says:

> INTEGER:  an "integer" as defined in Section 2.4 of [JSON]

But JSON does not explicitly define integers. Perhaps the "int" ABNF
rule was what was meant?

The word "integer" only appears in passing here:
https://tools.ietf.org/html/rfc4627#section-2.4

Thanks,
Ulysse

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 21 Aug 2019 15:08:12 -0700

You're correct about the intent.  Something like this:

INTEGER: a NUMBER as defined in Section 2.4 of [JSON] but without any
fraction component, i.e., conforming to the "int" ABNF in that section.

-MSK

On Mon, Aug 12, 2019 at 4:54 PM Ulysse Carion <[email-masked]> wrote:

> _______________________________________________
> domainrep mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/domainrep
>

---

From: Ulysse Carion <[email-masked]>
Date: Wed, 21 Aug 2019 15:09:40 -0700

Makes sense! Is adding an erratum to the RFC in order?

On Wed, Aug 21, 2019 at 3:08 PM Murray S. Kucherawy <[email-masked]> wrote:
> INTEGER: a NUMBER as defined in Section 2.4 of [JSON] but without any fraction component, i.e., conforming to the "int" ABNF in that section.
>
> -MSK
>

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 22 Aug 2019 00:48:07 +0200

On Aug 22, 2019, at 00:08, Murray S. Kucherawy <[email-masked]> wrote:
> 
> INTEGER: a NUMBER as defined in Section 2.4 of [JSON] but without any fraction component, i.e., conforming to the “int" ABNF in that section.

But that’s not how it works: You don’t get to change JSON’s ABNF as a JSON application.
The numbers 2, 2.0, 2.00, 2e0, 2.0e0, 0.2e1 etc. all mean exactly the same thing in JSON.

Grüße, Carsten